## Author: Anjana Elapavalore


## Rscript : PCL_CCS_merge.R
## Add CCS to PubChemLite exposomics file.
## Input : pubchemlite_ccs.csv, Pubchemlite_exposomics.csv

pcl <- read.csv("PubChemLite_exposomics_20240426.csv", check.names = FALSE)
ccs <- read.csv("pubchemlite_CCS_20240502.csv", check.names = FALSE)

# Define the columns to be extracted from ccs
#ccs_columns <- ccs[,c(1,5:12)]  # Columns 5 to 12 in ccs

# Create a lookup table from ccs with "cid" and selected columns
lookup_table <- ccs[,c(1,5:12)]

# Merge the lookup table with pcl based on "identifier" and "cid"
merged_data <- merge(pcl, lookup_table, by.x = "Identifier", by.y = "cid", all.x = TRUE)

# Define new column names corresponding to the selected columns from ccs
new_column_names <- c(
  "pred_CCS_A2_[M+H]+",
  "pred_CCS_A2_[M+Na]+",
  "pred_CCS_A2_[M+NH4]+",
  "pred_CCS_A2_[M+K]+",
  "pred_CCS_A2_[M-H]-",
  "pred_CCS_A2_[M+Na-2H]-",
  "pred_CCS_A2_[M]+",
  "pred_CCS_A2_[M]-"
)

# Assign new column names to the extracted columns in merged_data
colnames(merged_data)[(ncol(merged_data) - length(new_column_names) + 1):ncol(merged_data)] <- new_column_names

# Write the updated data to a new CSV file
write.csv(merged_data, "PubChemLite_CCSbase_20240426.csv", row.names = FALSE)
