## Copyright (C) 2020 by University of Luxembourg

## Usage:
##
## Rscript [--vanilla] csv_merger.R [f1.csv [f2.csv [ ... ] ] ] -o <complete.csv>


require(data.table)
require(bit64)
args <- commandArgs(trailingOnly = T)

## Find which is -o
x = which(args == "-o")

if (length(x)==0 || length(args) <= x) stop('Output file must be provided: -o output_file')

## Output file.
fn_out = args[x + 1L]


## Input files.
fns_to_add <- setdiff(args,c('-o',fn_out))
if (length(fns_to_add)==0L) stop('Nothing to do.')

## Check for existance of input files.
for (fn in fns_to_add) {
    if (!file.exists(fn)) stop('Input file ',fn,' does not exist.')
}

## Does output file exist?
fn_out_q = file.exists(fn_out)
if (!fn_out_q) {
    fn = fns_to_add[[1]]
    df <- fread(fn,sep=',')
    fwrite(x=df,file=fn_out,sep=',')
    message('Written `',fn,"' to ","`",fn_out,"' .")
    fns_to_add <- tail(fns_to_add,-1L)
}


for (fn in fns_to_add) {
    df <- fread(fn,sep=',')
    fwrite(x=df,file=fn_out,append=T,sep=',')
    message('Written `',fn,"' to ","`",fn_out,"' .")
}
