## Evaluation script for PubChemLite. Heavily based on previous work
## by Emma Schymanski, many changes from then by Todor Kondić


## **** NOTE ****

## Prior to running the script, several environment variables must be
## set. See pubchem/pubchemlite/eval4pub/README.org for details.

## **** END NOTE ****


suppressPackageStartupMessages({
    library(devtools)
    library(RMassBank)
    library(ReSOLUTION)
    library(RChemMass)
    library(future)
    library(processx)
    library(assertthat)
})



## *** STARTUP ***

dir_eval4pub <- file.path(Sys.getenv("PCL_DIRSRC"),"pubchemlite/R/eval4pub")
if (!dir.exists(dir_eval4pub)) stop("Unable to find the scripts. Is PCL_DIRSRC defined correctly?")
source(file.path(dir_eval4pub,"envconfig.R"))

system("env > env.dump")

## Set up an object of envconfig class holding info about the
## destinations, MetFrag runtime etc.
econf <- envconfig()

## Source what needs to be sourced.
source_r_files(econf)

## Prepare for evaluation.
res <- eval_prep(econf)
econf <- res$envconfig

## Perform major checks.
eval_one(econf,res$cmpd_info)

## Perform functionality checks and determine if the bad element
## removal is working.
econf@run_name <- paste0(econf@run_name,"_MolForm")
eval_two(econf,res$cmpd_info)
